Mean_StdDev
Statistical Operations

Primitives for computing both the arithmetic mean and the standard deviation of an image. More...

## Mean_StdDev

Given an image with width and height , the mean and the standard deviation will be computed as

The Mean_StdDev primitives require additional scratch buffer for computations.

### Common parameters for nppiMean_StdDev functions include:

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  pMask | Mask-Image Pointer.
  nMaskStep | Mask-Image Line Step.
  nCOI | Channel_of_Interest Number.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer Use nppiMeanStdDevGetBufferHostSize_8u_C1R to determine the minium number of bytes required.
  pMean | Pointer to the computed mean.
  pStdDev | Pointer to the computed standard deviation.

Returns
  Image Data Related Error Codes, ROI Related Error Codes, or NPP_COI_ERROR if an invalid channel of interest is specified.

NppStatus | nppiMean_StdDev_8u_C1R (const Npp8u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp64f *pMean, Npp64f *pStdDev)
| One-channel 8-bit unsigned image Mean_StdDev. More...
NppStatus | nppiMean_StdDev_8s_C1R (const Npp8s *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp64f *pMean, Npp64f *pStdDev)
| One-channel 8-bit signed image Mean_StdDev. More...
NppStatus | nppiMean_StdDev_16u_C1R (const Npp16u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp64f *pMean, Npp64f *pStdDev)
| One-channel 16-bit unsigned image Mean_StdDev. More...
NppStatus | nppiMean_StdDev_32f_C1R (const Npp32f *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp64f *pMean, Npp64f *pStdDev)
| One-channel 32-bit floating point image Mean_StdDev. More...
NppStatus | nppiMean_StdDev_8u_C1MR (const Npp8u *pSrc, int nSrcStep, const Npp8u *pMask, int nMaskStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp64f *pMean, Npp64f *pStdDev)
| Masked one-channel 8-bit unsigned image Mean_StdDev. More...
NppStatus | nppiMean_StdDev_8s_C1MR (const Npp8s *pSrc, int nSrcStep, const Npp8u *pMask, int nMaskStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp64f *pMean, Npp64f *pStdDev)
| Masked one-channel 8-bit signed image Mean_StdDev. More...
NppStatus | nppiMean_StdDev_16u_C1MR (const Npp16u *pSrc, int nSrcStep, const Npp8u *pMask, int nMaskStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp64f *pMean, Npp64f *pStdDev)
| Masked one-channel 16-bit unsigned image Mean_StdDev. More...
NppStatus | nppiMean_StdDev_32f_C1MR (const Npp32f *pSrc, int nSrcStep, const Npp8u *pMask, int nMaskStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp64f *pMean, Npp64f *pStdDev)
| Masked one-channel 32-bit floating point image Mean_StdDev. More...

## Channel Mean_StdDev

See Channel-of-Interest API.
NppStatus | nppiMean_StdDev_8u_C3CR (const Npp8u *pSrc, int nSrcStep, NppiSize oSizeROI, int nCOI, Npp8u *pDeviceBuffer, Npp64f *pMean, Npp64f *pStdDev)
| Three-channel 8-bit unsigned image Mean_StdDev affecting only single channel. More...
NppStatus | nppiMean_StdDev_8s_C3CR (const Npp8s *pSrc, int nSrcStep, NppiSize oSizeROI, int nCOI, Npp8u *pDeviceBuffer, Npp64f *pMean, Npp64f *pStdDev)
| Three-channel 8-bit signed image Mean_StdDev affecting only single channel. More...
NppStatus | nppiMean_StdDev_16u_C3CR (const Npp16u *pSrc, int nSrcStep, NppiSize oSizeROI, int nCOI, Npp8u *pDeviceBuffer, Npp64f *pMean, Npp64f *pStdDev)
| Three-channel 16-bit unsigned image Mean_StdDev affecting only single channel. More...
NppStatus | nppiMean_StdDev_32f_C3CR (const Npp32f *pSrc, int nSrcStep, NppiSize oSizeROI, int nCOI, Npp8u *pDeviceBuffer, Npp64f *pMean, Npp64f *pStdDev)
| Three-channel 32-bit floating point image Mean_StdDev affecting only single channel. More...
NppStatus | nppiMean_StdDev_8u_C3CMR (const Npp8u *pSrc, int nSrcStep, const Npp8u *pMask, int nMaskStep, NppiSize oSizeROI, int nCOI, Npp8u *pDeviceBuffer, Npp64f *pMean, Npp64f *pStdDev)
| Masked three-channel 8-bit unsigned image Mean_StdDev. More...
NppStatus | nppiMean_StdDev_8s_C3CMR (const Npp8s *pSrc, int nSrcStep, const Npp8u *pMask, int nMaskStep, NppiSize oSizeROI, int nCOI, Npp8u *pDeviceBuffer, Npp64f *pMean, Npp64f *pStdDev)
| Masked three-channel 8-bit signed image Mean_StdDev. More...
NppStatus | nppiMean_StdDev_16u_C3CMR (const Npp16u *pSrc, int nSrcStep, const Npp8u *pMask, int nMaskStep, NppiSize oSizeROI, int nCOI, Npp8u *pDeviceBuffer, Npp64f *pMean, Npp64f *pStdDev)
| Masked three-channel 16-bit unsigned image Mean_StdDev. More...
NppStatus | nppiMean_StdDev_32f_C3CMR (const Npp32f *pSrc, int nSrcStep, const Npp8u *pMask, int nMaskStep, NppiSize oSizeROI, int nCOI, Npp8u *pDeviceBuffer, Npp64f *pMean, Npp64f *pStdDev)
| Masked three-channel 32-bit floating point image Mean_StdDev. More...

## MeanStdDevGetBufferHostSize

Companion primitives for computing the device buffer size (in bytes) required by the Mean_StdDev primitives.
NppStatus | nppiMeanStdDevGetBufferHostSize_8u_C1R (NppiSize oSizeROI, int *hpBufferSize)
| Buffer size for nppiMean_StdDev_8u_C1R. More...
NppStatus | nppiMeanStdDevGetBufferHostSize_8s_C1R (NppiSize oSizeROI, int *hpBufferSize)
| Buffer size for nppiMean_StdDev_8s_C1R. More...
NppStatus | nppiMeanStdDevGetBufferHostSize_16u_C1R (NppiSize oSizeROI, int *hpBufferSize)
| Buffer size for nppiMean_StdDev_16u_C1R. More...
NppStatus | nppiMeanStdDevGetBufferHostSize_32f_C1R (NppiSize oSizeROI, int *hpBufferSize)
| Buffer size for nppiMean_StdDev_32f_C1R. More...
NppStatus | nppiMeanStdDevGetBufferHostSize_8u_C1MR (NppiSize oSizeROI, int *hpBufferSize)
| Buffer size for nppiMean_StdDev_8u_C1MR. More...
NppStatus | nppiMeanStdDevGetBufferHostSize_8s_C1MR (NppiSize oSizeROI, int *hpBufferSize)
| Buffer size for nppiMean_StdDev_8s_C1MR. More...
NppStatus | nppiMeanStdDevGetBufferHostSize_16u_C1MR (NppiSize oSizeROI, int *hpBufferSize)
| Buffer size for nppiMean_StdDev_16u_C1MR. More...
NppStatus | nppiMeanStdDevGetBufferHostSize_32f_C1MR (NppiSize oSizeROI, int *hpBufferSize)
| Buffer size for nppiMean_StdDev_32f_C1MR. More...
NppStatus | nppiMeanStdDevGetBufferHostSize_8u_C3CR (NppiSize oSizeROI, int *hpBufferSize)
| Buffer size for nppiMean_StdDev_8u_C3CR. More...
NppStatus | nppiMeanStdDevGetBufferHostSize_8s_C3CR (NppiSize oSizeROI, int *hpBufferSize)
| Buffer size for nppiMean_StdDev_8s_C3CR. More...
NppStatus | nppiMeanStdDevGetBufferHostSize_16u_C3CR (NppiSize oSizeROI, int *hpBufferSize)
| Buffer size for nppiMean_StdDev_16u_C3CR. More...
NppStatus | nppiMeanStdDevGetBufferHostSize_32f_C3CR (NppiSize oSizeROI, int *hpBufferSize)
| Buffer size for nppiMean_StdDev_32f_C3CR. More...
NppStatus | nppiMeanStdDevGetBufferHostSize_8u_C3CMR (NppiSize oSizeROI, int *hpBufferSize)
| Buffer size for nppiMean_StdDev_8u_C3CMR. More...
NppStatus | nppiMeanStdDevGetBufferHostSize_8s_C3CMR (NppiSize oSizeROI, int *hpBufferSize)
| Buffer size for nppiMean_StdDev_8s_C3CMR. More...
NppStatus | nppiMeanStdDevGetBufferHostSize_16u_C3CMR (NppiSize oSizeROI, int *hpBufferSize)
| Buffer size for nppiMean_StdDev_16u_C3CMR. More...
NppStatus | nppiMeanStdDevGetBufferHostSize_32f_C3CMR (NppiSize oSizeROI, int *hpBufferSize)
| Buffer size for nppiMean_StdDev_32f_C3CMR. More...

## Detailed Description

Primitives for computing both the arithmetic mean and the standard deviation of an image.

## Function Documentation

NppStatus nppiMean_StdDev_16u_C1MR | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | const Npp8u * | pMask,
|  | int | nMaskStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp64f * | pMean,
|  | Npp64f * | pStdDev
| ) |  |

Masked one-channel 16-bit unsigned image Mean_StdDev.

For common parameter descriptions, see Common parameters for nppiMean_StdDev functions.

NppStatus nppiMean_StdDev_16u_C1R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp64f * | pMean,
|  | Npp64f * | pStdDev
| ) |  |

One-channel 16-bit unsigned image Mean_StdDev.

For common parameter descriptions, see Common parameters for nppiMean_StdDev functions.

NppStatus nppiMean_StdDev_16u_C3CMR | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | const Npp8u * | pMask,
|  | int | nMaskStep,
|  | NppiSize | oSizeROI,
|  | int | nCOI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp64f * | pMean,
|  | Npp64f * | pStdDev
| ) |  |

Masked three-channel 16-bit unsigned image Mean_StdDev.

For common parameter descriptions, see Common parameters for nppiMean_StdDev functions.

NppStatus nppiMean_StdDev_16u_C3CR | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | int | nCOI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp64f * | pMean,
|  | Npp64f * | pStdDev
| ) |  |

Three-channel 16-bit unsigned image Mean_StdDev affecting only single channel.

For common parameter descriptions, see Common parameters for nppiMean_StdDev functions.

NppStatus nppiMean_StdDev_32f_C1MR | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | const Npp8u * | pMask,
|  | int | nMaskStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp64f * | pMean,
|  | Npp64f * | pStdDev
| ) |  |

Masked one-channel 32-bit floating point image Mean_StdDev.

For common parameter descriptions, see Common parameters for nppiMean_StdDev functions.

NppStatus nppiMean_StdDev_32f_C1R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp64f * | pMean,
|  | Npp64f * | pStdDev
| ) |  |

One-channel 32-bit floating point image Mean_StdDev.

For common parameter descriptions, see Common parameters for nppiMean_StdDev functions.

NppStatus nppiMean_StdDev_32f_C3CMR | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | const Npp8u * | pMask,
|  | int | nMaskStep,
|  | NppiSize | oSizeROI,
|  | int | nCOI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp64f * | pMean,
|  | Npp64f * | pStdDev
| ) |  |

Masked three-channel 32-bit floating point image Mean_StdDev.

For common parameter descriptions, see Common parameters for nppiMean_StdDev functions.

NppStatus nppiMean_StdDev_32f_C3CR | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | int | nCOI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp64f * | pMean,
|  | Npp64f * | pStdDev
| ) |  |

Three-channel 32-bit floating point image Mean_StdDev affecting only single channel.

For common parameter descriptions, see Common parameters for nppiMean_StdDev functions.

NppStatus nppiMean_StdDev_8s_C1MR | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | const Npp8u * | pMask,
|  | int | nMaskStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp64f * | pMean,
|  | Npp64f * | pStdDev
| ) |  |

Masked one-channel 8-bit signed image Mean_StdDev.

For common parameter descriptions, see Common parameters for nppiMean_StdDev functions.

NppStatus nppiMean_StdDev_8s_C1R | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp64f * | pMean,
|  | Npp64f * | pStdDev
| ) |  |

One-channel 8-bit signed image Mean_StdDev.

For common parameter descriptions, see Common parameters for nppiMean_StdDev functions.

NppStatus nppiMean_StdDev_8s_C3CMR | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | const Npp8u * | pMask,
|  | int | nMaskStep,
|  | NppiSize | oSizeROI,
|  | int | nCOI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp64f * | pMean,
|  | Npp64f * | pStdDev
| ) |  |

Masked three-channel 8-bit signed image Mean_StdDev.

For common parameter descriptions, see Common parameters for nppiMean_StdDev functions.

NppStatus nppiMean_StdDev_8s_C3CR | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | int | nCOI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp64f * | pMean,
|  | Npp64f * | pStdDev
| ) |  |

Three-channel 8-bit signed image Mean_StdDev affecting only single channel.

For common parameter descriptions, see Common parameters for nppiMean_StdDev functions.

NppStatus nppiMean_StdDev_8u_C1MR | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | const Npp8u * | pMask,
|  | int | nMaskStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp64f * | pMean,
|  | Npp64f * | pStdDev
| ) |  |

Masked one-channel 8-bit unsigned image Mean_StdDev.

For common parameter descriptions, see Common parameters for nppiMean_StdDev functions.

NppStatus nppiMean_StdDev_8u_C1R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp64f * | pMean,
|  | Npp64f * | pStdDev
| ) |  |

One-channel 8-bit unsigned image Mean_StdDev.

For common parameter descriptions, see Common parameters for nppiMean_StdDev functions.

NppStatus nppiMean_StdDev_8u_C3CMR | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | const Npp8u * | pMask,
|  | int | nMaskStep,
|  | NppiSize | oSizeROI,
|  | int | nCOI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp64f * | pMean,
|  | Npp64f * | pStdDev
| ) |  |

Masked three-channel 8-bit unsigned image Mean_StdDev.

For common parameter descriptions, see Common parameters for nppiMean_StdDev functions.

NppStatus nppiMean_StdDev_8u_C3CR | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | int | nCOI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp64f * | pMean,
|  | Npp64f * | pStdDev
| ) |  |

Three-channel 8-bit unsigned image Mean_StdDev affecting only single channel.

For common parameter descriptions, see Common parameters for nppiMean_StdDev functions.

NppStatus nppiMeanStdDevGetBufferHostSize_16u_C1MR | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

Buffer size for nppiMean_StdDev_16u_C1MR.

For common parameter descriptions, see Common parameters for nppiMeanStdDevGetBufferHostSize functions.

NppStatus nppiMeanStdDevGetBufferHostSize_16u_C1R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

Buffer size for nppiMean_StdDev_16u_C1R.

For common parameter descriptions, see Common parameters for nppiMeanStdDevGetBufferHostSize functions.

NppStatus nppiMeanStdDevGetBufferHostSize_16u_C3CMR | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

Buffer size for nppiMean_StdDev_16u_C3CMR.

For common parameter descriptions, see Common parameters for nppiMeanStdDevGetBufferHostSize functions.

NppStatus nppiMeanStdDevGetBufferHostSize_16u_C3CR | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

Buffer size for nppiMean_StdDev_16u_C3CR.

For common parameter descriptions, see Common parameters for nppiMeanStdDevGetBufferHostSize functions.

NppStatus nppiMeanStdDevGetBufferHostSize_32f_C1MR | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

Buffer size for nppiMean_StdDev_32f_C1MR.

For common parameter descriptions, see Common parameters for nppiMeanStdDevGetBufferHostSize functions.

NppStatus nppiMeanStdDevGetBufferHostSize_32f_C1R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

Buffer size for nppiMean_StdDev_32f_C1R.

For common parameter descriptions, see Common parameters for nppiMeanStdDevGetBufferHostSize functions.

NppStatus nppiMeanStdDevGetBufferHostSize_32f_C3CMR | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

Buffer size for nppiMean_StdDev_32f_C3CMR.

For common parameter descriptions, see Common parameters for nppiMeanStdDevGetBufferHostSize functions.

NppStatus nppiMeanStdDevGetBufferHostSize_32f_C3CR | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

Buffer size for nppiMean_StdDev_32f_C3CR.

For common parameter descriptions, see Common parameters for nppiMeanStdDevGetBufferHostSize functions.

NppStatus nppiMeanStdDevGetBufferHostSize_8s_C1MR | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

Buffer size for nppiMean_StdDev_8s_C1MR.

For common parameter descriptions, see Common parameters for nppiMeanStdDevGetBufferHostSize functions.

NppStatus nppiMeanStdDevGetBufferHostSize_8s_C1R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

Buffer size for nppiMean_StdDev_8s_C1R.

For common parameter descriptions, see Common parameters for nppiMeanStdDevGetBufferHostSize functions.

NppStatus nppiMeanStdDevGetBufferHostSize_8s_C3CMR | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

Buffer size for nppiMean_StdDev_8s_C3CMR.

For common parameter descriptions, see Common parameters for nppiMeanStdDevGetBufferHostSize functions.

NppStatus nppiMeanStdDevGetBufferHostSize_8s_C3CR | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

Buffer size for nppiMean_StdDev_8s_C3CR.

For common parameter descriptions, see Common parameters for nppiMeanStdDevGetBufferHostSize functions.

NppStatus nppiMeanStdDevGetBufferHostSize_8u_C1MR | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

Buffer size for nppiMean_StdDev_8u_C1MR.

For common parameter descriptions, see Common parameters for nppiMeanStdDevGetBufferHostSize functions.

NppStatus nppiMeanStdDevGetBufferHostSize_8u_C1R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

Buffer size for nppiMean_StdDev_8u_C1R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMeanStdDevGetBufferHostSize_8u_C3CMR | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

Buffer size for nppiMean_StdDev_8u_C3CMR.

For common parameter descriptions, see Common parameters for nppiMeanStdDevGetBufferHostSize functions.

NppStatus nppiMeanStdDevGetBufferHostSize_8u_C3CR | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

Buffer size for nppiMean_StdDev_8u_C3CR.

For common parameter descriptions, see Common parameters for nppiMeanStdDevGetBufferHostSize functions.

Copyright © 2009-2017 NVIDIA Corporation